org.apache.tinkerpop.gremlin.structure.io.gryo

## Enum GryoVersion

- java.lang.Object
- - java.lang.Enum<GryoVersion>
  - - org.apache.tinkerpop.gremlin.structure.io.gryo.GryoVersion

- All Implemented Interfaces:
    Serializable, Comparable<GryoVersion>

      public enum GryoVersion
      extends Enum<GryoVersion>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `V1_0`
    `V3_0`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TypeRegistration<?>>` | `cloneRegistrations()`
    `Supplier<ClassResolver>` | `getClassResolverMaker()`
    `List<TypeRegistration<?>>` | `getRegistrations()`
    `String` | `getVersion()`
    `static List<TypeRegistration<?>>` | `initV1d0Registrations()`
    `static List<TypeRegistration<?>>` | `initV3d0Registrations()`
    `static GryoVersion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GryoVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### V1_0

          public static final GryoVersion V1_0

    - #### V3_0

          public static final GryoVersion V3_0

  - ### Method Detail

    - #### values

          public static GryoVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GryoVersion c : GryoVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GryoVersion valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### cloneRegistrations

          public List<TypeRegistration<?>> cloneRegistrations()

    - #### getRegistrations

          public List<TypeRegistration<?>> getRegistrations()

    - #### getClassResolverMaker

          public Supplier<ClassResolver> getClassResolverMaker()

    - #### getVersion

          public String getVersion()

    - #### initV3d0Registrations

          public static List<TypeRegistration<?>> initV3d0Registrations()

    - #### initV1d0Registrations

          public static List<TypeRegistration<?>> initV1d0Registrations()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.